Skip to main content
POST
/
v2
/
projects
/
{project_id}
/
users
Create User Project Collaborators
curl --request POST \
  --url https://api.galileo.ai/v2/projects/{project_id}/users \
  --header 'Content-Type: application/json' \
  --header 'Splunk-AO-API-Key: <api-key>' \
  --data '
[
  {
    "role": "viewer",
    "user_id": "<string>",
    "user_email": "jsmith@example.com"
  }
]
'
import requests

url = "https://api.galileo.ai/v2/projects/{project_id}/users"

payload = [
{
"role": "viewer",
"user_id": "<string>",
"user_email": "jsmith@example.com"
}
]
headers = {
"Splunk-AO-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Splunk-AO-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{role: 'viewer', user_id: '<string>', user_email: 'jsmith@example.com'}])
};

fetch('https://api.galileo.ai/v2/projects/{project_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "user_id": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "<string>",
    "permissions": []
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Splunk-AO-API-Key
string
header
required

Path Parameters

project_id
string<uuid4>
required

Body

application/json
role
enum<string>
default:viewer
Available options:
owner,
editor,
annotator,
viewer
user_id
string<uuid4> | null
user_email
string<email> | null

Response

Successful Response

id
string<uuid4>
required
role
enum<string>
required
Available options:
owner,
editor,
annotator,
viewer
created_at
string<date-time>
required
user_id
string<uuid4>
required
first_name
string | null
required
last_name
string | null
required
email
string
required
permissions
Permission · object[]